Bug 188808 - CVE-2006-1727 Privilege escalation through Print Preview
CVE-2006-1727 Privilege escalation through Print Preview
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:31 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:31:24 EDT
Privilege escalation through Print Preview


Georgi Guninski reported two variants of using scripts in an XBL control to
gain chrome privileges when the page is viewed under "Print Preview". This
vulnerability exists even if web-content JavaScript is turned off

Workaround

Do not use Print Preview until you upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=325991
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=328469


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:48:53 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:33:26 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.